com.io7m.jcanephora.core

## Class JCGLClearSpecification.Builder

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLClearSpecification.Builder

- Enclosing class:
    JCGLClearSpecification

      public static final class JCGLClearSpecification.Builder
      extends Object

  Builds instances of type `JCGLClearSpecification`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLClearSpecification` | `build()` Builds a new `JCGLClearSpecification`.
    `JCGLClearSpecification.Builder` | `from(JCGLClearSpecificationType instance)` Fill a builder with attribute values from the provided `JCGLClearSpecificationType` instance.
    `JCGLClearSpecification.Builder` | `setColorBufferClear(Optional<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector4D> colorBufferClear)` Initializes the optional value `colorBufferClear` to colorBufferClear.
    `JCGLClearSpecification.Builder` | `setColorBufferClear(com.io7m.jtensors.core.unparameterized.vectors.Vector4D colorBufferClear)` Initializes the optional value `colorBufferClear` to colorBufferClear.
    `JCGLClearSpecification.Builder` | `setDepthBufferClear(double depthBufferClear)` Initializes the optional value `depthBufferClear` to depthBufferClear.
    `JCGLClearSpecification.Builder` | `setDepthBufferClear(OptionalDouble depthBufferClear)` Initializes the optional value `depthBufferClear` to depthBufferClear.
    `JCGLClearSpecification.Builder` | `setStencilBufferClear(int stencilBufferClear)` Initializes the optional value `stencilBufferClear` to stencilBufferClear.
    `JCGLClearSpecification.Builder` | `setStencilBufferClear(OptionalInt stencilBufferClear)` Initializes the optional value `stencilBufferClear` to stencilBufferClear.
    `JCGLClearSpecification.Builder` | `setStrictChecking(boolean strictChecking)` Initializes the value for the `strictChecking` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLClearSpecification.Builder from(JCGLClearSpecificationType instance)

      Fill a builder with attribute values from the provided `JCGLClearSpecificationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setColorBufferClear

          public final JCGLClearSpecification.Builder setColorBufferClear(com.io7m.jtensors.core.unparameterized.vectors.Vector4D colorBufferClear)

      Initializes the optional value `colorBufferClear` to colorBufferClear.
      Parameters:
        `colorBufferClear` - The value for colorBufferClear
      Returns:
        `this` builder for chained invocation

    - #### setColorBufferClear

          public final JCGLClearSpecification.Builder setColorBufferClear(Optional<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector4D> colorBufferClear)

      Initializes the optional value `colorBufferClear` to colorBufferClear.
      Parameters:
        `colorBufferClear` - The value for colorBufferClear
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthBufferClear

          public final JCGLClearSpecification.Builder setDepthBufferClear(double depthBufferClear)

      Initializes the optional value `depthBufferClear` to depthBufferClear.
      Parameters:
        `depthBufferClear` - The value for depthBufferClear
      Returns:
        `this` builder for chained invocation

    - #### setDepthBufferClear

          public final JCGLClearSpecification.Builder setDepthBufferClear(OptionalDouble depthBufferClear)

      Initializes the optional value `depthBufferClear` to depthBufferClear.
      Parameters:
        `depthBufferClear` - The value for depthBufferClear
      Returns:
        `this` builder for use in a chained invocation

    - #### setStencilBufferClear

          public final JCGLClearSpecification.Builder setStencilBufferClear(int stencilBufferClear)

      Initializes the optional value `stencilBufferClear` to stencilBufferClear.
      Parameters:
        `stencilBufferClear` - The value for stencilBufferClear
      Returns:
        `this` builder for chained invocation

    - #### setStencilBufferClear

          public final JCGLClearSpecification.Builder setStencilBufferClear(OptionalInt stencilBufferClear)

      Initializes the optional value `stencilBufferClear` to stencilBufferClear.
      Parameters:
        `stencilBufferClear` - The value for stencilBufferClear
      Returns:
        `this` builder for use in a chained invocation

    - #### setStrictChecking

          public final JCGLClearSpecification.Builder setStrictChecking(boolean strictChecking)

      Initializes the value for the `strictChecking` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `strictChecking`.

      Parameters:
        `strictChecking` - The value for strictChecking
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLClearSpecification build()

      Builds a new `JCGLClearSpecification`.
      Returns:
        An immutable instance of JCGLClearSpecification
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com